Last Comment Bug 681651 - Move Highlighter's TreePanel associated code to browser/devtools
: Move Highlighter's TreePanel associated code to browser/devtools
Status: RESOLVED FIXED
[minotaur][has-patch]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Rob Campbell [:rc] (:robcee)
:
Mentors:
Depends on: 650794
Blocks: 672002 703275
  Show dependency treegraph
 
Reported: 2011-08-24 08:16 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-11-17 08:42 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
move treepanel code to devtools (7.04 KB, patch)
2011-08-24 08:21 PDT, Rob Campbell [:rc] (:robcee)
mihai.sucan: review+
Details | Diff | Review
move treepanel code to devtools (8.69 KB, patch)
2011-08-25 09:48 PDT, Rob Campbell [:rc] (:robcee)
no flags Details | Diff | Review

Description Rob Campbell [:rc] (:robcee) 2011-08-24 08:16:17 PDT
We should move treepanel-related code (for the highlighter) to browser/devtools.
Comment 1 Rob Campbell [:rc] (:robcee) 2011-08-24 08:21:11 PDT
Created attachment 555408 [details] [diff] [review]
move treepanel code to devtools
Comment 2 Mihai Sucan [:msucan] 2011-08-24 13:28:45 PDT
Comment on attachment 555408 [details] [diff] [review]
move treepanel code to devtools

Review of attachment 555408 [details] [diff] [review]:
-----------------------------------------------------------------

Patch looks fine. r+! Please update for the comment below.

::: browser/devtools/highlighter/Makefile.in
@@ +46,5 @@
> +ifdef ENABLE_TESTS
> +ifneq (mobile,$(MOZ_BUILD_APP))
> +# 	DIRS += test # tests still in browser/base/content/test/inspector
> +endif
> +endif

According to bug 660784 comment 27 you don't need the ifneq check for mobile.
Comment 3 Rob Campbell [:rc] (:robcee) 2011-08-25 09:48:45 PDT
Created attachment 555761 [details] [diff] [review]
move treepanel code to devtools

updated patch to move treepanel-related code to devtools. Fixed up some makefile license blocks in devtools/ and devtools/scratchpad while I was in there. (do we even need license blocks on build code?)
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-09-19 13:34:56 PDT
Can you fold the relevant portions of this into bug 650794's patch? That'd make it easier to review these.
Comment 5 Rob Campbell [:rc] (:robcee) 2011-09-20 06:19:10 PDT
(In reply to Gavin Sharp from comment #4)
> Can you fold the relevant portions of this into bug 650794's patch? That'd
> make it easier to review these.

WILCO.
Comment 6 Rob Campbell [:rc] (:robcee) 2011-09-23 09:57:31 PDT
fixed in bug 650794.

Note You need to log in before you can comment on or make changes to this bug.